<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsMfm Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_mfm.html">XsMfm</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#aaef1cf99e4c4773e06a8c5c065b8a4fa">addCallbackHandler</a>(XsMfMCallbackPlainC *cb, bool chain=true)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a8827ba5b400da884ae4eb045580cc26a">clearCallbackHandlers</a>(bool chain=true)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a54ce42a3f235a00b16df923793daa99d">construct</a>(void)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a34b35a888e1c473733efd83c7c59861f">destruct</a>(void)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a6082909d3ff0dfe254819b9f383103f8">getGeoSelMagFieldMeas</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a34438f7a9946dfaecda51e4ca64f5b4e">getGeoSelMagFieldMfm</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a1b9740f3a538cc91347024648057370d">getGeoSelMagFieldMfmModel</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a40acc7d6d79f3faf15c38ecfc62f84a1">getGeoSelMfm</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a872ed01c26b4acbfd515e33da670904c">getHardIronCompensation</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a930eeb30e123fb9268976c16542454f2">getHistResidualsModel</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a80f8c81d29758214633f8f6149644027">getHistResidualsModelBins</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a057a408bcc86f39b05a93761bd239ed7">getMagFieldMeas</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a08cbb515f73b5f4e70709fa7a32457ab">getMagFieldMfm</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a64b95510dfa269c2637e8f6ad53742f7">getNormalizedHistResidualBins</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a4d0c34ed921aa0183e301d77ce143974">getNormalizedHistResidualDipAngle</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a66ecf95feac6113063c75ce38f7a5ca4">getNormalizedHistResidualMagnetic</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a038e19e4ed8ecca9138790e5415aa6b1">getNormalizedHistResidualVertical</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a1c329f388991fefbd88e8e699cfe1f42">getNormGeoSelMagFieldMeas</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a23ac8f0df70164744147269ab0c8c9ab">getNormMagFieldMeas</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a6ea4a397756dba40ded10a93d8c0e6c5">getNormMagFieldMfm</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#ab25900c7f70d0cc352f8b901407ea725">getSoftIronCompensation</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a728b3101a350d00a530953334a2a79cd">getVersion</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a8da020cb92e60a353a349f69d752f3aa">getVerticalMeas</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a9e93ea090ea2dbc0262ad0694f71640e">isMap3D</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#ad0101b6ba1946c2e91e4194a68a60cf5">isValid</a>(XsDeviceId deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a59098ab1a8e7d8bfd5774f5a38fcaca3">loadedDeviceId</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a652dc51378e66f317cfb2af32c45d732">loadedDeviceIds</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a3ad65aa03dde059704aa1fa064d389ef">loadInputFile</a>(const XsString &amp;inputFile, const XsDeviceIdArray &amp;deviceIds, XsDeviceIdArray &amp;detectedDeviceIds)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#acb055bbc528d9dad3bec6d1b883c693a">master</a>(const XsDeviceId &amp;deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a71c493e81842c570d1b973e03513ecea">operator delete</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a0db8a79de07f00a9a94a8745200febe3">removeCallbackHandler</a>(XsMfMCallbackPlainC *cb, bool chain=true)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a77abcbf1616cf717824ceb35729f120e">reset</a>(void)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a3dda38fb00756429bcf1aca5bfb308ae">scanMfmDevice</a>(const XsPortInfo &amp;portInfo)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a4c4a0eebb3d06835e94c6522c85e00fa">scanMfmDevices</a>(void)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#af09c3bd635f53152eac40f9827e13643">startLogging</a>(const XsDeviceId &amp;deviceId, const XsString &amp;logfilename)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a24e2d97561cfe65d5f02636f62e6074b">startLogging</a>(const XsDeviceIdArray &amp;deviceIdArray, const XsStringArray &amp;logfilenameArray, XsStringArray &amp;finalFilenameArray)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a7e88b47745228ddae7b68d2edad8496f">startProcessing</a>(const XsDeviceId &amp;deviceId)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a113deda893aae383e2c5b2059eb155b4">startProcessing</a>(const XsDeviceIdArray &amp;deviceIdArray)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a1036dfbd34046fc1ab6e904f1e0a9ae1">stopLogging</a>(const XsDeviceId &amp;deviceId)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a494f56b324916d051e4fdfb19c8c76aa">stopLogging</a>(const XsDeviceIdArray &amp;deviceIdArray)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a9d503211f830a452aec8c9f7809149f3">version</a>(void)</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#a705a3ae378d0b5f33793eaac0904c6f1">writeResultToFile</a>(const XsDeviceId &amp;deviceId, const XsString &amp;filename) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#abc407679cef04b759b3466a399ac9ff5">writeResultToFile</a>(const XsDeviceIdArray &amp;deviceIdArray, const XsStringArray &amp;filenameArray) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#ab90682d8bf1edf4520a0c7e965b11582">writeResultToMt</a>(const XsDeviceId &amp;deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#ab8bae073a5412faee755e29e38e33bd0">writeResultToMt</a>(const XsDeviceIdArray &amp;deviceIdArray) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_mfm.html#ad653ba94466c98184945353c0b6d447f">writeResultToString</a>(const XsDeviceId &amp;deviceId) const </td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_mfm.html#a2899680d63dca1d587b530b44aedbf83">~XsMfm</a>()</td><td class="entry"><a class="el" href="struct_xs_mfm.html">XsMfm</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
